Bug 709196 - [abrt] xscreensaver-gl-extras-5.13-3.fc15: Process /usr/libexec/xscreensaver/hypertorus was killed by signal 11 (SIGSEGV)
Summary: [abrt] xscreensaver-gl-extras-5.13-3.fc15: Process /usr/libexec/xscreensaver/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8380d40bc0263a68a519046613d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-31 03:25 UTC by Yaric
Modified: 2012-01-04 01:57 UTC (History)
2 users (show)

Fixed In Version: mesa-7.11.2-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-04 01:57:39 UTC


Attachments (Terms of Use)

Description Yaric 2011-05-31 03:25:44 UTC
abrt version: 2.0.1
architecture:   i686
cmdline:        hypertorus -root
component:      xscreensaver
executable:     /usr/libexec/xscreensaver/hypertorus
kernel:         2.6.38.6-27.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        xscreensaver-gl-extras-5.13-3.fc15
rating:         3
reason:         Process /usr/libexec/xscreensaver/hypertorus was killed by signal 11 (SIGSEGV)
time:           Sun May 29 17:41:27 2011
uid:            500
username:       yaric

backtrace:
:[New LWP 7907]
:[New LWP 7909]
:[New LWP 7908]
:warning: .dynamic section for "/usr/lib/libGLU.so.1.3.071100" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/usr/lib/libXt.so.6.0.0" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/usr/lib/libstdc++.so.6.0.16" is not at the expected address (wrong library or version mismatch?)
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/2c/a8544b0ff9269420c23a0ac22da52b7894148b
:[Thread debugging using libthread_db enabled]
:warning: "/usr/lib/debug/usr/lib/dri/libllvmcore-2.8.so.debug": separate debug info file has no debug info
:Core was generated by `hypertorus -root'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x05d21a80 in ?? ()
:
:Thread 3 (Thread 0xb781eb70 (LWP 7908)):
:#0  0x006b2424 in __kernel_vsyscall ()
:No symbol table info available.
:#1  0x4445475c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:172
:No locals.
:#2  0x0016344c in pipe_semaphore_wait (sema=0x9d9752c) at ../../../../src/gallium/auxiliary/os/os_thread.h:425
:No locals.
:#3  thread_func (init_data=0x9d974e4) at lp_rast.c:791
:        task = 0x9d974e4
:        rast = 0x9d974d8
:#4  0x44450c5e in start_thread (arg=0xb781eb70) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0xb781eb70
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1145446388, 0, 4001536, -1216224184, -371882643, 1611341450}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = <optimized out>
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:        __PRETTY_FUNCTION__ = "start_thread"
:#5  0x44367b4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
:No locals.
:
:Thread 2 (Thread 0xb701db70 (LWP 7909)):
:#0  0x006b2424 in __kernel_vsyscall ()
:No symbol table info available.
:#1  0x4445475c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:172
:No locals.
:#2  0x0016344c in pipe_semaphore_wait (sema=0x9d9760c) at ../../../../src/gallium/auxiliary/os/os_thread.h:425
:No locals.
:#3  thread_func (init_data=0x9d975c4) at lp_rast.c:791
:        task = 0x9d975c4
:        rast = 0x9d974d8
:#4  0x44450c5e in start_thread (arg=0xb701db70) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0xb701db70
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1145446388, 0, 4001536, -1224616888, -373979796, 1611341450}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = <optimized out>
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:        __PRETTY_FUNCTION__ = "start_thread"
:#5  0x44367b4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
:No locals.
:
:Thread 1 (Thread 0xb781f710 (LWP 7907)):
:#0  0x05d21a80 in ?? ()
:No symbol table info available.
:#1  0x003899ac in llvm_pipeline_generic (middle=0xffff1000, fetch_info=<optimized out>, prim_info=0xbfc08db0) at draw/draw_pt_fetch_shade_pipeline_llvm.c:246
:        fpme = 0xffff1000
:        draw = 0xffff1000
:        gshader = 0x0
:        gs_prim_info = {linear = 7 '\a', start = 0, elts = 0x0, count = 0, prim = 1065353216, flags = 1144734285, primitive_lengths = 0x35c81b, primitive_count = 1517899}
:        llvm_vert_info = {verts = 0x9fff220, vertex_size = 116, stride = 116, count = 42}
:        gs_vert_info = {verts = 0xbfc08d94, vertex_size = 3217067412, stride = 3217067412, count = 166225240}
:        vert_info = <optimized out>
:        opt = 3
:        clipped = 0
:#2  0x00389b8d in llvm_middle_end_linear_run (middle=0x9dd9050, start=520, count=42, prim_flags=0) at draw/draw_pt_fetch_shade_pipeline_llvm.c:364
:        fpme = 0x9dd9050
:        fetch_info = {linear = 1 '\001', start = 520, elts = 0x0, count = 42}
:        prim_info = {linear = 1 '\001', start = 0, elts = 0x0, count = 42, prim = 5, flags = 0, primitive_lengths = 0xbfc08df8, primitive_count = 1}
:#3  0x0031a2f5 in vsplit_segment_simple_linear (icount=42, istart=520, flags=0, vsplit=0x9dd6430) at draw/draw_pt_vsplit_tmp.h:237
:No locals.
:#4  vsplit_run_linear (frontend=0x9dd6430, start=520, count=42) at draw/draw_split_tmp.h:61
:        first = 3
:        incr = 1
:        vsplit = 0x9dd6430
:        prim = 5
:        max_count_simple = 4096
:        max_count_loop = 1023
:        max_count_fan = 1024
:#5  0x003162bc in draw_pt_arrays (draw=<optimized out>, prim=5, start=520, count=42) at draw/draw_pt.c:113
:        frontend = 0x9dd6430
:        middle = <optimized out>
:        opt = <optimized out>
:#6  0x003165f5 in draw_vbo (draw=0x9dce780, info=0xbfc08f88) at draw/draw_pt.c:491
:        reduced_prim = <optimized out>
:        instance = <optimized out>
:#7  0x001625b3 in llvmpipe_draw_vbo (pipe=0x9d75bd0, info=0xbfc08f88) at lp_draw_arrays.c:81
:        lp = 0x9d75bd0
:        draw = 0x9dce780
:        mapped_indices = 0x0
:        i = <optimized out>
:#8  0x00211913 in st_draw_vbo (ctx=0x9e30058, arrays=0x9e748c8, prims=0x9e7321c, nr_prims=5, ib=0x0, index_bounds_valid=1 '\001', min_index=0, max_index=561) at state_tracker/st_draw.c:756
:        st = <optimized out>
:        pipe = 0x9d75bd0
:        ibuffer = {index_size = 0, offset = 0, buffer = 0x0}
:        info = {indexed = 0 '\000', mode = 5, start = 520, count = 42, start_instance = 0, instance_count = 1, index_bias = 0, min_index = 520, max_index = 561, primitive_restart = 0 '\000', restart_index = 0}
:        i = <optimized out>
:        num_instances = <optimized out>
:        new_array = 1 '\001'
:#9  0x0020ea20 in vbo_exec_vtx_flush (exec=0x9e730a8, keepUnmapped=0 '\000') at vbo/vbo_exec_draw.c:390
:        ctx = 0x9e30058
:#10 0x00205d0c in vbo_exec_wrap_buffers (exec=<optimized out>) at vbo/vbo_exec_api.c:88
:        last_begin = 1
:        last_count = 43
:#11 0x00208327 in vbo_exec_wrap_buffers (exec=0x9e730a8) at vbo/vbo_exec_api.c:70
:No locals.
:#12 vbo_exec_vtx_wrap (exec=0x9e730a8) at vbo/vbo_exec_api.c:123
:        data = 0x9e739f4
:        i = <optimized out>
:#13 0x470714b9 in glVertex3fv (v=0xbfc09380) at ../../../src/mapi/glapi/glapitemp.h:772
:No locals.
:#14 0x0804cc7f in hypertorus (mi=<optimized out>, numv=64, numu=64, vmax=6.2831853071795862, vmin=0, umax=6.2831853071795862, umin=0) at ../../../hacks/glx/hypertorus.c:597
:        polys = <optimized out>
:        p = {-0.244925842, 0.709775865, -1.65943599}
:        pu = {-0.520091891, -0.132333189, 0.199340001}
:        pv = {0.258772343, 0.0188008659, 0.497883976}
:        n = {-0.218166396, 0.972896576, 0.076652661}
:        mat = {{0.332327753, -0.77195102, -0.424177408, -0.337229043}, {0.702623963, 0.0373656489, -0.0789470375, 0.706180394}, {0.333091557, 0.633556843, -0.552769542, -0.426733583}, {0.533786297, 0.0360711887, 0.712942302, -0.453303725}}
:        i = <optimized out>
:        j = <optimized out>
:        k = <optimized out>
:        l = <optimized out>
:        m = <optimized out>
:        b = <optimized out>
:        skew = 0
:        u = <optimized out>
:        v = 2.0616701789183018
:        ur = 6.2831853071795862
:        vr = 6.2831853071795862
:        cu = <optimized out>
:        su = <optimized out>
:        cv = -0.4713967368259977
:        sv = 0.88192126434835505
:        xx = {0.70710678118654757, 0.70710678118654746, -0.4713967368259977, 0.88192126434835505}
:        xxu = {-0.70710678118654746, 0.70710678118654757, 0, 0}
:        xxv = {0, 0, -0.88192126434835505, -0.4713967368259977}
:        x = {-0.40831421100463333, 1.1832625543368795, 0.56775197548991541, -0.3329067763117417}
:        xu = {-0.7808430087577205, -0.47040866539576343, 0.21246104108481004, -0.35193772803410106}
:        xv = {0.53305974671276035, -0.26326606210682668, 0.68866003176512425, -0.41507308005421278}
:        r = <optimized out>
:        s = <optimized out>
:        t = <optimized out>
:        q1 = {0, 0, 0, 1}
:        q2 = {0, 0, 0, 1}
:        r1 = {{0.332327753, -0.77195102, -0.424177408, -0.337229043}, {0.702623963, 0.0373656489, -0.0789470375, 0.706180394}, {0.333091557, 0.633556843, -0.552769542, -0.426733583}, {0.533786297, 0.0360711887, 0.712942302, -0.453303725}}
:        r2 = {{1, 0, 0, 0}, {0, 1, 0, 0}, {0, 0, 1, 0}, {0, 0, 0, 1}}
:        hp = <optimized out>
:#15 0x0804d07f in display_hypertorus (mi=0x9d9b170) at ../../../hacks/glx/hypertorus.c:733
:        hp = 0x9d9b598
:#16 draw_hypertorus (mi=0x9d9b170) at ../../../hacks/glx/hypertorus.c:980
:        display = 0x9d60758
:        window = 16779946
:        hp = <optimized out>
:#17 0x0804e2de in xlockmore_draw (dpy=0x9d60758, window=16779946, closure=0x9d9b170) at ../../../hacks/xlockmore.c:496
:        mi = 0x9d9b170
:        orig_pause = 25000
:        this_pause = 25000
:#18 0x0804aa58 in run_screenhack_table (ft=0x805a7c0, window2=0, window=16779946, dpy=0x9d60758) at ../../hacks/screenhack.c:553
:        delay = <optimized out>
:        delay2 = <optimized out>
:        closure = 0x9d9b170
:        fpst2 = 0x0
:        init_cb = <optimized out>
:        fps_cb = 0x8050550 <xlockmore_gl_compute_fps>
:        fpst = 0x0
:        closure2 = <optimized out>
:#19 main (argc=1, argv=0xbfc09794) at ../../hacks/screenhack.c:921
:        ft = 0x805a7c0
:        xgwa = {x = 0, y = 0, width = 1600, height = 1200, border_width = 0, depth = 24, visual = 0x9d6ac08, root = 305, class = 1, bit_gravity = 0, win_gravity = 1, backing_store = 0, backing_planes = 4294967295, backing_pixel = 0, save_under = 0, colormap = 16779945, map_installed = 1, map_state = 2, all_event_masks = 79, your_event_mask = 0, do_not_propagate_mask = 0, override_redirect = 1, screen = 0x9d5cac0}
:        toplevel = 0x9d5b7c8
:        dpy = 0x9d60758
:        window = 16779946
:        window2 = 0
:        toplevel2 = <optimized out>
:        app = <optimized out>
:        root_p = 165002960
:        on_window = <optimized out>
:        event = {type = 8, xany = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, window = 7}, xkey = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, window = 7, root = 60, subwindow = 1143726317, time = 3217069696, x = 1144862656, y = 0, x_root = 1143498012, y_root = 1, state = 3078747920, keycode = 1145370048, same_screen = 1144862656}, xbutton = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, window = 7, root = 60, subwindow = 1143726317, time = 3217069696, x = 1144862656, y = 0, x_root = 1143498012, y_root = 1, state = 3078747920, button = 1145370048, same_screen = 1144862656}, xmotion = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, window = 7, root = 60, subwindow = 1143726317, time = 3217069696, x = 1144862656, y = 0, x_root = 1143498012, y_root = 1, state = 3078747920, is_hint = -64 '\300', same_screen = 1144862656}, xcrossing = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, window = 7, root = 60, subwindow = 1143726317, time = 3217069696, x = 1144862656, y = 0, x_root = 1143498012, y_root = 1, mode = -1216219376, detail = 1145370048, same_screen = 1144862656, focus = 9, state = 15773917}, xfocus = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, window = 7, mode = 60, detail = 1143726317}, xexpose = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, window = 7, x = 60, y = 1143726317, width = -1077897600, height = 1144862656, count = 0}, xgraphicsexpose = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, drawable = 7, x = 60, y = 1143726317, width = -1077897600, height = 1144862656, count = 0, major_code = 1143498012, minor_code = 1}, xnoexpose = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, drawable = 7, major_code = 60, minor_code = 1143726317}, xvisibility = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, window = 7, state = 60}, xcreatewindow = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, parent = 7, window = 60, x = 1143726317, y = -1077897600, width = 1144862656, height = 0, border_width = 1143498012, override_redirect = 1}, xdestroywindow = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, event = 7, window = 60}, xunmap = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, event = 7, window = 60, from_configure = 1143726317}, xmap = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, event = 7, window = 60, override_redirect = 1143726317}, xmaprequest = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, parent = 7, window = 60}, xreparent = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, event = 7, window = 60, parent = 1143726317, x = -1077897600, y = 1144862656, override_redirect = 0}, xconfigure = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, event = 7, window = 60, x = 1143726317, y = -1077897600, width = 1144862656, height = 0, border_width = 1143498012, above = 1, override_redirect = -1216219376}, xgravity = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, event = 7, window = 60, x = 1143726317, y = -1077897600}, xresizerequest = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, window = 7, width = 60, height = 1143726317}, xconfigurerequest = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, parent = 7, window = 60, x = 1143726317, y = -1077897600, width = 1144862656, height = 0, border_width = 1143498012, above = 1, detail = -1216219376, value_mask = 1145370048}, xcirculate = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, event = 7, window = 60, place = 1143726317}, xcirculaterequest = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, parent = 7, window = 60, place = 1143726317}, xproperty = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, window = 7, atom = 60, time = 1143726317, state = -1077897600}, xselectionclear = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, window = 7, selection = 60, time = 1143726317}, xselectionrequest = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, owner = 7, requestor = 60, selection = 1143726317, target = 3217069696, property = 1144862656, time = 0}, xselection = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, requestor = 7, selection = 60, target = 1143726317, property = 3217069696, time = 1144862656}, xcolormap = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, window = 7, colormap = 60, new = 1143726317, state = -1077897600}, xclient = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, window = 7, message_type = 60, format = 1143726317, data = {b = "\200\226\300\277\300\067=D\000\000\000\000\034e(D\001\000\000", s = {-27008, -16448, 14272, 17469, 0, 0, 25884, 17448, 1, 0}, l = {-1077897600, 1144862656, 0, 1143498012, 1}}}, xmapping = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, window = 7, request = 60, first_keycode = 1143726317, count = -1077897600}, xerror = {type = 8, display = 0x8, resourceid = 7, serial = 7021408, error_code = 7 '\a', request_code = 0 '\000', minor_code = 0 '\000'}, xkeymap = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, window = 7, key_vector = "<\000\000\000\355\340+D\200\226\300\277\300\067=D\000\000\000\000\034e(D\001\000\000\000\020\367\201\267"}, xgeneric = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, extension = 7, evtype = 60}, xcookie = {type = 8, serial = 8, send_event = 7, display = 0x6b2360, extension = 7, evtype = 60, cookie = 1143726317, data = 0xbfc09680}, pad = {8, 8, 7, 7021408, 7, 60, 1143726317, -1077897600, 1144862656, 0, 1143498012, 1, -1216219376, 1145370048, 1144862656, 9, 15773917, 1144066224, 1144066950, -1077897600, 1144862176, 68, 8, 1144066224}}
:        dont_clear = 112 'p'
:        version = "Hypertorus: from the XScreenSaver 5.13-3.fc15 distribution (15-May-2011.)", '\000' <repeats 47 times>, "(none)", '\000' <repeats 89 times>, "\004\000\000\000Dn(D\017", '\000' <repeats 30 times>
:From        To          Syms Read   Shared Object Library
:0x47041a10  0x47089c3c  Yes         /usr/lib/libGL.so.1.2
:0x47308d50  0x4736068c  Yes         /usr/lib/libGLU.so.1.3.071100
:0x46a26ad0  0x46a2969c  Yes         /usr/lib/libXxf86vm.so.1.0.0
:0x4444e630  0x4445a57c  Yes         /lib/libpthread-2.13.90.so
:0x44a30410  0x44a34d5c  Yes         /usr/lib/libSM.so.6.0.1
:0x44a0d4e0  0x44a1c3dc  Yes         /usr/lib/libICE.so.6.3.0
:0x46535b00  0x46572c4c  Yes         /usr/lib/libXt.so.6.0.0
:0x444c9310  0x44559fbc  Yes         /usr/lib/libX11.so.6.3.0
:0x45553650  0x4556245c  Yes         /usr/lib/libXmu.so.6.2.0
:0x4472d6b0  0x4473800c  Yes         /usr/lib/libXext.so.6.4.0
:0x444204b0  0x4443bbbc  Yes         /lib/libm-2.13.90.so
:0x442a3ce0  0x443c1324  Yes         /lib/libc-2.13.90.so
:0x44bd77c0  0x44bd81fc  Yes         /usr/lib/libXdamage.so.1.1.0
:0x44918ed0  0x4491b64c  Yes         /usr/lib/libXfixes.so.3.1.0
:0x4701b420  0x47020bdc  Yes         /usr/lib/libdrm.so.2.4.0
:0x44467a60  0x44468a8c  Yes         /lib/libdl-2.13.90.so
:0x4481b540  0x4488edcb  Yes         /usr/lib/libstdc++.so.6.0.16
:0x4446ff30  0x44486c5c  Yes         /lib/libgcc_s-4.6.0-20110509.so.1
:0x44266850  0x4427e7ff  Yes         /lib/ld-2.13.90.so
:0x449bbf30  0x449bdb5c  Yes         /lib/libuuid.so.1.3.0
:0x445f6e90  0x446067bc  Yes         /usr/lib/libxcb.so.1.1.0
:0x4448e8c0  0x444926fc  Yes         /lib/librt-2.13.90.so
:0x444b0a00  0x444b188c  Yes         /usr/lib/libXau.so.6.0.0
:0x00124130  0x003a0d0c  Yes         /usr/lib/dri/swrast_dri.so
:0x0089e190  0x012db0bc  Yes (*)     /usr/lib/dri/libllvmcore-2.8.so
:0x44742490  0x44753d9c  Yes         /lib/libselinux.so.1
:0x448c5040  0x448dec7c  Yes         /lib/libexpat.so.1.5.2
:(*): Shared library is missing debugging information.
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:eax            0xfa0	4000
:ecx            0xa19906c	169447532
:edx            0x0	0
:ebx            0xffff1000	-61440
:esp            0xbfc08590	0xbfc08590
:ebp            0xbfc08cf8	0xbfc08cf8
:esi            0xffff1000	-61440
:edi            0xffff1000	-61440
:eip            0x5d21a80	0x5d21a80
:eflags         0x210293	[ CF AF SF IF RF ID ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:No function contains program counter for selected frame.

dsos:
:/usr/lib/libICE.so.6.3.0 libICE-1.0.6-3.fc15.i686 (Fedora Project) 1306303236
:/lib/libm-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306302671
:/usr/lib/libGL.so.1.2 mesa-libGL-7.11-0.9.20110509.0.fc15.i686 (Fedora Project) 1306304929
:/usr/lib/libXxf86vm.so.1.0.0 libXxf86vm-1.1.1-2.fc15.i686 (Fedora Project) 1306303276
:/usr/lib/libGLU.so.1.3.071100 mesa-libGLU-7.11-0.9.20110509.0.fc15.i686 (Fedora Project) 1306304930
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1306303248
:/usr/lib/libstdc++.so.6.0.16 libstdc++-4.6.0-7.fc15.i686 (Fedora Project) 1306303230
:/usr/lib/libSM.so.6.0.1 libSM-1.2.0-2.fc15.i686 (Fedora Project) 1306303267
:/usr/lib/libdrm.so.2.4.0 libdrm-2.4.25-1.fc15.i686 (Fedora Project) 1306304903
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1306303256
:/usr/lib/libXext.so.6.4.0 libXext-1.2.0-2.fc15.i686 (Fedora Project) 1306303257
:/usr/libexec/xscreensaver/hypertorus xscreensaver-gl-extras-1:5.13-3.fc15.i686 (Fedora Project) 1306406184
:/lib/libc-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306302671
:/usr/lib/dri/swrast_dri.so mesa-dri-drivers-7.11-0.9.20110509.0.fc15.i686 (Fedora Project) 1306304973
:/usr/lib/libXt.so.6.0.0 libXt-1.1.0-1.fc15.i686 (Fedora Project) 1306303268
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1306303292
:/lib/libdl-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306302671
:/usr/lib/libXmu.so.6.2.0 libXmu-1.1.0-2.fc15.i686 (Fedora Project) 1306303270
:/usr/lib/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.i686 (Fedora Project) 1306303261
:/lib/librt-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306302671
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1306303238
:/lib/ld-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306302671
:/lib/libgcc_s-4.6.0-20110509.so.1 libgcc-4.6.0-7.fc15.i686 (Fedora Project) 1306302635
:/lib/libuuid.so.1.3.0 libuuid-2.19.1-1.fc15.i686 (Fedora Project) 1306303267
:/usr/lib/dri/libllvmcore-2.8.so mesa-dri-llvmcore-7.11-0.9.20110509.0.fc15.i686 (Fedora Project) 1306304675
:/lib/libpthread-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306302671
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-2.fc15.i686 (Fedora Project) 1306303255
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.i686 (Fedora Project) 1306303258

environ:
:SSH_AGENT_PID=14370
:XDG_SESSION_ID=316
:SAL_USE_VCLPLUGIN=gtk
:HOSTNAME=a64.isp.nsc.ru
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=lxde-
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=b66761d51e4485cf986ca8054beacf0b-1306472818.295814-1483756064
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/tmp/keyring-9oKnFo
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:'IMSETTINGS_MODULE=X compose table'
:USER=yaric
:SSH_AUTH_SOCK=/tmp/ssh-TPUGs14229/agent.14229
:USERNAME=yaric
:PATH=/usr/libexec/xscreensaver:/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/yaric/bin
:DESKTOP_SESSION=LXDE
:MAIL=/var/spool/mail/yaric
:QT_IM_MODULE=xim
:PWD=/DATA/home_yaric
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=14221
:LANG=ru_RU.UTF-8
:KDE_IS_PRELINKED=1
:GDM_LANG=
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:KDEDIRS=/usr
:LOADEDMODULES=
:GDMSESSION=LXDE
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HOME=/home/yaric
:SHLVL=1
:XDG_CONFIG_HOME=/home/yaric/.config
:LOGNAME=yaric
:CVS_RSH=ssh
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-SSXazxnKxw,guid=d73317bae544e9626d91c808000262f7
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=7
:XDG_RUNTIME_DIR=/run/user/yaric
:DISPLAY=:0.0
:GTK_IM_MODULE=xim
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-yaric-z85Q2P/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_LXSESSION_PID=14229
:XDG_CURRENT_DESKTOP=LXDE
:XSCREENSAVER_WINDOW=0x1000AAA

event_log:
:2011-05-31-09:35:29> Retrace server is fully occupied at the moment. Try again later please.
:2011-05-31-09:35:29* (exited with 1)
:2011-05-31-09:41:34> Analyzing crash data
:2011-05-31-09:41:57  Analyzing crash data
:2011-05-31-09:42:09  Analyzing crash data
:2011-05-31-09:42:36  Analyzing crash data
:2011-05-31-09:43:01  Analyzing crash data
:2011-05-31-09:43:19  Analyzing crash data
:2011-05-31-09:48:28  Initializing virtual root
:2011-05-31-09:49:07  Initializing virtual root
:2011-05-31-09:49:30  Initializing virtual root
:2011-05-31-09:49:42  Initializing virtual root
:2011-05-31-09:49:54  Initializing virtual root
:2011-05-31-09:50:12  Initializing virtual root
:2011-05-31-09:50:50  Initializing virtual root
:2011-05-31-09:51:16  Initializing virtual root
:2011-05-31-09:51:28  Initializing virtual root
:2011-05-31-09:51:48  Initializing virtual root
:2011-05-31-09:52:08  Initializing virtual root
:2011-05-31-09:57:36  Initializing virtual root
:2011-05-31-09:57:48  Initializing virtual root
:2011-05-31-09:58:20  Initializing virtual root
:2011-05-31-09:58:31  Initializing virtual root
:2011-05-31-09:59:02  Initializing virtual root
:2011-05-31-09:59:14  Initializing virtual root
:2011-05-31-09:59:47  Initializing virtual root
:2011-05-31-10:05:37  Cleaning up virtual root
:2011-05-31-10:05:49  Cleaning up virtual root
:2011-05-31-10:06:00  Saving crash statistics
:2011-05-31-10:06:13  Retrace job finished successfully

maps:
:00110000-004e2000 r-xp 00000000 08:01 143791     /usr/lib/dri/swrast_dri.so
:004e2000-004f4000 rw-p 003d2000 08:01 143791     /usr/lib/dri/swrast_dri.so
:004f4000-00645000 rw-p 00000000 00:00 0 
:006b2000-006b3000 r-xp 00000000 00:00 0          [vdso]
:006b3000-01573000 r-xp 00000000 08:01 228473     /usr/lib/dri/libllvmcore-2.8.so
:01573000-016cd000 rw-p 00ec0000 08:01 228473     /usr/lib/dri/libllvmcore-2.8.so
:016cd000-016d8000 rw-p 00000000 00:00 0 
:016d8000-020d8000 rwxp 00000000 00:00 0 
:05d21000-05da1000 rwxp 00000000 00:00 0 
:08045000-0805a000 r-xp 00000000 08:01 131784     /usr/libexec/xscreensaver/hypertorus
:0805a000-0805c000 rw-p 00014000 08:01 131784     /usr/libexec/xscreensaver/hypertorus
:09d58000-0a19a000 rw-p 00000000 00:00 0          [heap]
:44266000-44285000 r-xp 00000000 08:01 21096      /lib/ld-2.13.90.so
:44285000-44286000 r--p 0001f000 08:01 21096      /lib/ld-2.13.90.so
:44286000-44287000 rw-p 00020000 08:01 21096      /lib/ld-2.13.90.so
:4428d000-44415000 r-xp 00000000 08:01 21114      /lib/libc-2.13.90.so
:44415000-44417000 r--p 00188000 08:01 21114      /lib/libc-2.13.90.so
:44417000-44418000 rw-p 0018a000 08:01 21114      /lib/libc-2.13.90.so
:44418000-4441b000 rw-p 00000000 00:00 0 
:4441d000-44446000 r-xp 00000000 08:01 21120      /lib/libm-2.13.90.so
:44446000-44447000 r--p 00028000 08:01 21120      /lib/libm-2.13.90.so
:44447000-44448000 rw-p 00029000 08:01 21120      /lib/libm-2.13.90.so
:4444a000-44461000 r-xp 00000000 08:01 21225      /lib/libpthread-2.13.90.so
:44461000-44462000 r--p 00016000 08:01 21225      /lib/libpthread-2.13.90.so
:44462000-44463000 rw-p 00017000 08:01 21225      /lib/libpthread-2.13.90.so
:44463000-44465000 rw-p 00000000 00:00 0 
:44467000-4446a000 r-xp 00000000 08:01 21135      /lib/libdl-2.13.90.so
:4446a000-4446b000 r--p 00002000 08:01 21135      /lib/libdl-2.13.90.so
:4446b000-4446c000 rw-p 00003000 08:01 21135      /lib/libdl-2.13.90.so
:4446e000-4448a000 r-xp 00000000 08:01 21136      /lib/libgcc_s-4.6.0-20110509.so.1
:4448a000-4448b000 rw-p 0001b000 08:01 21136      /lib/libgcc_s-4.6.0-20110509.so.1
:4448d000-44494000 r-xp 00000000 08:01 21296      /lib/librt-2.13.90.so
:44494000-44495000 r--p 00006000 08:01 21296      /lib/librt-2.13.90.so
:44495000-44496000 rw-p 00007000 08:01 21296      /lib/librt-2.13.90.so
:444b0000-444b2000 r-xp 00000000 08:01 21125      /usr/lib/libXau.so.6.0.0
:444b2000-444b3000 rw-p 00001000 08:01 21125      /usr/lib/libXau.so.6.0.0
:444b5000-445ea000 r-xp 00000000 08:01 21137      /usr/lib/libX11.so.6.3.0
:445ea000-445ee000 rw-p 00134000 08:01 21137      /usr/lib/libX11.so.6.3.0
:445f0000-4460d000 r-xp 00000000 08:01 21134      /usr/lib/libxcb.so.1.1.0
:4460d000-4460e000 rw-p 0001d000 08:01 21134      /usr/lib/libxcb.so.1.1.0
:4472b000-4473b000 r-xp 00000000 08:01 21142      /usr/lib/libXext.so.6.4.0
:4473b000-4473c000 rw-p 00010000 08:01 21142      /usr/lib/libXext.so.6.4.0
:4473e000-4475b000 r-xp 00000000 08:01 21275      /lib/libselinux.so.1
:4475b000-4475c000 r--p 0001c000 08:01 21275      /lib/libselinux.so.1
:4475c000-4475d000 rw-p 0001d000 08:01 21275      /lib/libselinux.so.1
:447d3000-448b4000 r-xp 00000000 08:01 21226      /usr/lib/libstdc++.so.6.0.16
:448b4000-448b5000 ---p 000e1000 08:01 21226      /usr/lib/libstdc++.so.6.0.16
:448b5000-448b9000 r--p 000e1000 08:01 21226      /usr/lib/libstdc++.so.6.0.16
:448b9000-448bb000 rw-p 000e5000 08:01 21226      /usr/lib/libstdc++.so.6.0.16
:448bb000-448c1000 rw-p 00000000 00:00 0 
:448c3000-448e9000 r-xp 00000000 08:01 21168      /lib/libexpat.so.1.5.2
:448e9000-448eb000 rw-p 00026000 08:01 21168      /lib/libexpat.so.1.5.2
:44918000-4491c000 r-xp 00000000 08:01 21146      /usr/lib/libXfixes.so.3.1.0
:4491c000-4491d000 rw-p 00003000 08:01 21146      /usr/lib/libXfixes.so.3.1.0
:449bb000-449bf000 r-xp 00000000 08:01 21221      /lib/libuuid.so.1.3.0
:449bf000-449c0000 rw-p 00003000 08:01 21221      /lib/libuuid.so.1.3.0
:44a0a000-44a20000 r-xp 00000000 08:01 21220      /usr/lib/libICE.so.6.3.0
:44a20000-44a22000 rw-p 00015000 08:01 21220      /usr/lib/libICE.so.6.3.0
:44a22000-44a23000 rw-p 00000000 00:00 0 
:44a2f000-44a36000 r-xp 00000000 08:01 21222      /usr/lib/libSM.so.6.0.1
:44a36000-44a37000 rw-p 00006000 08:01 21222      /usr/lib/libSM.so.6.0.1
:44bd7000-44bd9000 r-xp 00000000 08:01 21396      /usr/lib/libXdamage.so.1.1.0
:44bd9000-44bda000 rw-p 00001000 08:01 21396      /usr/lib/libXdamage.so.1.1.0
:4554e000-45566000 r-xp 00000000 08:01 21266      /usr/lib/libXmu.so.6.2.0
:45566000-45567000 rw-p 00018000 08:01 21266      /usr/lib/libXmu.so.6.2.0
:46529000-46582000 r-xp 00000000 08:01 21262      /usr/lib/libXt.so.6.0.0
:46582000-46586000 rw-p 00059000 08:01 21262      /usr/lib/libXt.so.6.0.0
:46a26000-46a2a000 r-xp 00000000 08:01 21338      /usr/lib/libXxf86vm.so.1.0.0
:46a2a000-46a2b000 rw-p 00003000 08:01 21338      /usr/lib/libXxf86vm.so.1.0.0
:47019000-47023000 r-xp 00000000 08:01 21397      /usr/lib/libdrm.so.2.4.0
:47023000-47024000 rw-p 0000a000 08:01 21397      /usr/lib/libdrm.so.2.4.0
:4702c000-470ac000 r-xp 00000000 08:01 21398      /usr/lib/libGL.so.1.2
:470ac000-470b3000 rw-p 00080000 08:01 21398      /usr/lib/libGL.so.1.2
:470b3000-470b4000 rw-p 00000000 00:00 0 
:47306000-47376000 r-xp 00000000 08:01 21399      /usr/lib/libGLU.so.1.3.071100
:47376000-47377000 rw-p 00070000 08:01 21399      /usr/lib/libGLU.so.1.3.071100
:b5793000-b5f00000 rw-p 00000000 00:00 0 
:b5f00000-b5f21000 rw-p 00000000 00:00 0 
:b5f21000-b6000000 ---p 00000000 00:00 0 
:b603d000-b681d000 rw-p 00000000 00:00 0 
:b681d000-b681e000 ---p 00000000 00:00 0 
:b681e000-b701e000 rw-p 00000000 00:00 0 
:b701e000-b701f000 ---p 00000000 00:00 0 
:b701f000-b7825000 rw-p 00000000 00:00 0 
:b7835000-b7857000 rw-p 00000000 00:00 0 
:bfbea000-bfc0b000 rw-p 00000000 00:00 0          [stack]

Comment 1 Mamoru TASAKA 2011-05-31 04:29:19 UTC
Once switching to mesa. Googling this backtrace also seems to hit mesa issue.

Comment 2 Fedora Update System 2011-12-07 20:25:20 UTC
mesa-7.11.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mesa-7.11.2-1.fc15

Comment 3 Fedora Update System 2011-12-10 20:01:05 UTC
Package mesa-7.11.2-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mesa-7.11.2-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16923/mesa-7.11.2-1.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-01-04 01:57:39 UTC
mesa-7.11.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.